Bug 1419330 (deepin-menu) - Review Request: deepin-menu - deepin menu service
Summary: Review Request: deepin-menu - deepin menu service
Keywords:
Status: CLOSED RAWHIDE
Alias: deepin-menu
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: deepin-tool-kit deepin-qt-dbus-factory dtkwidget
Blocks: DeepinDEPackageReview deepin-terminal deepin-launcher
TreeView+ depends on / blocked
 
Reported: 2017-02-05 13:29 UTC by sensor.wen
Modified: 2018-07-22 13:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-22 13:32:49 UTC
Type: ---
robinlee.sysu: fedora-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 101878 0 None None None Never

Comment 1 Robin Lee 2017-02-12 03:56:48 UTC
I am not a sponsor. Here is my package review, but I am not able to approve it. You should fix the failed items after all.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 25 files have
     unknown license. Detailed output of licensecheck in
     /home/cheese/Downloads/temp/deepin-menu/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1,
     /usr/share/dbus-1/services
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in deepin-
     menu-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[!]: Package is named according to the Package Versioning Guidelines.
     Note: Git commit should not be included in the release tag if it is the
     proper released version.


Rpmlint
-------
Checking: deepin-menu-3.0.7-1.git6038c51.fc26.x86_64.rpm
          deepin-menu-debuginfo-3.0.7-1.git6038c51.fc26.x86_64.rpm
          deepin-menu-3.0.7-1.git6038c51.fc26.src.rpm
deepin-menu.x86_64: W: no-documentation
deepin-menu.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/deepin_menu/menu.py /usr/bin/env python2
deepin-menu.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/deepin_menu/menu.py 644 /usr/bin/env python2
deepin-menu.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/deepin_menu/__init__.py /usr/bin/env python2
deepin-menu.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/deepin_menu/__init__.py 644 /usr/bin/env python2
deepin-menu.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/deepin_menu/DBusInterfaces.py /usr/bin/env python2
deepin-menu.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/deepin_menu/DBusInterfaces.py 644 /usr/bin/env python2
deepin-menu.x86_64: E: invalid-desktopfile /usr/share/applications/deepin-menu.desktop value "Deepin" for key "OnlyShowIn" in group "Desktop Entry" contains an unregistered value "Deepin"; values extending the format should start with "X-"
3 packages and 0 specfiles checked; 7 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: deepin-menu-debuginfo-3.0.7-1.git6038c51.fc26.x86_64.rpm
deepin-menu-debuginfo.x86_64: W: invalid-url URL: https://github.com/linuxdeepin/deepin-menu The read operation timed out
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
deepin-menu.x86_64: W: no-documentation
deepin-menu.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/deepin_menu/DBusInterfaces.py /usr/bin/env python2
deepin-menu.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/deepin_menu/DBusInterfaces.py 644 /usr/bin/env python2
deepin-menu.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/deepin_menu/__init__.py /usr/bin/env python2
deepin-menu.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/deepin_menu/__init__.py 644 /usr/bin/env python2
deepin-menu.x86_64: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/deepin_menu/menu.py /usr/bin/env python2
deepin-menu.x86_64: E: non-executable-script /usr/lib/python2.7/site-packages/deepin_menu/menu.py 644 /usr/bin/env python2
deepin-menu.x86_64: E: invalid-desktopfile /usr/share/applications/deepin-menu.desktop value "Deepin" for key "OnlyShowIn" in group "Desktop Entry" contains an unregistered value "Deepin"; values extending the format should start with "X-"
2 packages and 0 specfiles checked; 7 errors, 1 warnings.



Requires
--------
deepin-menu (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.7)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5X11Extras.so.5(Qt_5)(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxcb.so.1()(64bit)
    python(abi)
    python-qt5
    qt5-qtx11extras
    rtld(GNU_HASH)

deepin-menu-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
deepin-menu:
    application()
    application(deepin-menu.desktop)
    deepin-menu
    deepin-menu(x86-64)
    python2.7dist(deepin-menu)
    python2dist(deepin-menu)

deepin-menu-debuginfo:
    deepin-menu-debuginfo
    deepin-menu-debuginfo(x86-64)



Source checksums
----------------
https://github.com/linuxdeepin/deepin-menu/archive/6038c517f2adcd511f13c600423accd0cac38ff7/deepin-menu-6038c51.tar.gz :
  CHECKSUM(SHA256) this package     : 5838ff4b289e323ad37d85a9dc154970383fd2eacd2f7f95358a562e3084cf83
  CHECKSUM(SHA256) upstream package : 5838ff4b289e323ad37d85a9dc154970383fd2eacd2f7f95358a562e3084cf83


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -rn deepin-menu-3.0.7-1.git6038c51.fc25.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 sensor.wen 2017-02-12 13:24:59 UTC
Thank you very much. Robin Lee

I fixed some problems. The license has not been resolved yet.

https://github.com/FZUG/repo/commit/6976734ec2433a5588978dae86c4aeeab3175bcc

I already to remind developer for this problem.
https://github.com/linuxdeepin/deepin-menu/issues/2

Comment 3 Robin Lee 2017-02-12 13:49:06 UTC
Any time you updated the specfile during review, you should re-post the raw specfile and SRPM URLs.

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-07-19 23:26:33 UTC
The license issue has been resolved upstream in the meanwhile.

Robin, I'll sponsor Bowen Li (the reporter). Can you take this review?

Comment 5 Robin Lee 2017-07-20 01:59:24 UTC
Please update to the latest version 3.1.5, and I will continue the review.

As mentioned above, the Spec URL and SRPM URL should return raw file.

Comment 7 Robin Lee 2017-07-22 02:55:27 UTC
[!]: Package is named according to the Package Versioning Guidelines.
     Note: Git commit should not be included in the release tag if it is the
     proper released version.
     https://fedoraproject.org/wiki/Packaging:Versioning#Simple_versioning
     And the source url can be written using Git tags:
     https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Tags
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 25 files have
     unknown license.
[-]: shebang removing procedure can be improved with respect to
     https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
[!]: ldconfig is redundant
[!]: Removing OnlyShowIn is bad. One can submit a request to freedesktop to add a new recognized desktop environment, like:
     https://bugs.freedesktop.org/show_bug.cgi?id=51258
[-]: It is better to use relative path for symlink.
[-]: It is better to separate changelog entries with empty lines.
     https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Repeat_the_old_version_release_with_a_new_entry

Comment 8 sensor.wen 2017-07-22 15:15:30 UTC
Thanks robin

[fixed]: ldconfig is redundant
[fixed]: Removing OnlyShowIn is bad. One can submit a request to freedesktop to add a new recognized desktop environment.

I think other warnings are optional.
I will submit a new variable to bugs.freedesktop.org for Deepin desktop environment.

Comment 9 sensor.wen 2017-07-22 15:39:59 UTC
SPEC:  https://copr-be.cloud.fedoraproject.org/results/mosquito/deepin/fedora-25-x86_64/00582584-deepin-menu/deepin-menu.spec
SRPM:  https://copr-be.cloud.fedoraproject.org/results/mosquito/deepin/fedora-25-x86_64/00582584-deepin-menu/deepin-menu-3.1.5-1.git3ab1c65.fc25.src.rpm
Task:  https://copr.fedorainfracloud.org/coprs/mosquito/deepin/build/582584/

add Deepin for OnlyShowIn key:  https://bugs.freedesktop.org/show_bug.cgi?id=101878

(In reply to Robin Lee from comment #7)
> [!]: Package is named according to the Package Versioning Guidelines.
>      Note: Git commit should not be included in the release tag if it is the
>      proper released version.
>      https://fedoraproject.org/wiki/Packaging:Versioning#Simple_versioning
>      And the source url can be written using Git tags:
>      https://fedoraproject.org/wiki/Packaging:SourceURL#Git_Tags
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v3 or later)", "Unknown or generated". 25 files have
>      unknown license.
> [-]: shebang removing procedure can be improved with respect to
>     
> https://fedoraproject.org/wiki/
> Packaging_tricks#Remove_shebang_from_Python_libraries
> [!]: ldconfig is redundant
> [!]: Removing OnlyShowIn is bad. One can submit a request to freedesktop to
> add a new recognized desktop environment, like:
>      https://bugs.freedesktop.org/show_bug.cgi?id=51258
> [-]: It is better to use relative path for symlink.
> [-]: It is better to separate changelog entries with empty lines.
>     
> https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/
> Guidelines#Repeat_the_old_version_release_with_a_new_entry

Comment 10 sensor.wen 2017-07-25 19:05:35 UTC
> [x]: Package is named according to the Package Versioning Guidelines.
>      Note: Git commit should not be included in the release tag if it is the
>      proper released version.
>      And the source url can be written using Git tags.
> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "GPL (v3 or later)", "Unknown or generated". 25 files have
>      unknown license.
How to fix?

> [x]: shebang removing procedure can be improved
> [x]: ldconfig is redundant
> [x]: Removing OnlyShowIn is bad. One can submit a request to freedesktop to add a new recognized desktop environment, like:
>     https://bugs.freedesktop.org/show_bug.cgi?id=51258

Need more than a year to solve.
add Deepin for OnlyShowIn key:  https://bugs.freedesktop.org/show_bug.cgi?id=101878

> [-]: It is better to use relative path for symlink.
Absolute path is better. Unless you need to use the dnf --installroot option.

> [-]: It is better to separate changelog entries with empty lines.
>      https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Repeat_the_old_version_release_with_a_new_entry

Comment 12 Zbigniew Jędrzejewski-Szmek 2017-07-25 22:44:53 UTC
It seems possible that the license is GPLv3+.

I agree with Robin that a relative link is better. In the days of containers and such, it's just easier to look at files in the chroot if the paths are relative. You can use ln --relative.

Comment 13 Robin Lee 2017-07-26 01:33:58 UTC
And the latest changelog entry should be kept update with the current release tag.

Comment 15 Robin Lee 2017-07-26 10:04:07 UTC
License tag and latest changelog entry are not fixed.

Comment 16 sensor.wen 2017-07-31 06:18:34 UTC
License tag and changelog entry were fixed.

SPEC: https://raw.githubusercontent.com/FZUG/repo/master/rpms/deepin_project/deepin-menu.spec

Comment 17 sensor.wen 2017-08-19 19:05:20 UTC
Package is looks good. Please approve. Thanks.

Comment 18 Robin Lee 2017-08-20 13:57:24 UTC
Please update to the lastest version (3.1.6)

Comment 20 Robert-André Mauchin 🐧 2017-08-25 09:36:28 UTC
The dependency #1476596 is done, this needs to move forward for deepin-launcher.

Comment 21 Robin Lee 2017-08-25 10:21:14 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=21460280
koji build succeeded.
This package is approved by cheeselee.

Comment 22 Gwyn Ciesla 2017-08-25 13:01:49 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-menu

Comment 23 Zamir SUN 2018-07-22 13:32:49 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.

Comment 24 Zamir SUN 2018-07-22 13:33:22 UTC
This is already in Rawhide. Closing on behalf of the Deepin Desktop packaging effort.


Note You need to log in before you can comment on or make changes to this bug.